


      subroutine pdwrkd(na, nn, nwkd)
c     ------------------------------------------------------------------
c     pdwrkd: This computes the size requiremnt for double precision 
c             workspace array.  All modifications to subroutine pdpntr()
c             must be repeated in this subroutine.
c
c     Integer variables:
c
c            na    : number of arcs.
c            nn    : number of nodes.
c            nwkd  : size of double precision workspace array
c     ----------------------------------------------------------------
      integer na, nn, nwkd
      
c     Initialize double precision pointer
      nwkd = 0
      
c     Integer array pibpst
      nwkd = nwkd + int((na + 1)/2)
     
c     Integer array pibsts      
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pibckt
      nwkd = nwkd + int((nn + 2)/2)
      
c     Integer array pifthr
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array pifrst
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array piifst
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array piinxt
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pillnk
      nwkd = nwkd + int((nn + 2)/2)
      
c     Integer array pilist
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array pilost
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array pilsts
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pimark
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array piofst
      nwkd = nwkd + int((nn + 1)/2)

c     Integer array pionxt
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pipred
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array pirank
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array pirlnk
      nwkd = nwkd + int((nn + 2)/2)
      
c     Integer array pirsts
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pirtth
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array pistdg
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pisptr
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pistrn
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pisvtx
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array piwke1
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array piw2e1
      nwkd = nwkd + int((2*na + 1)/2)
      
c     Integer array piwke2
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array piwke3
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array piwke4
      nwkd = nwkd + int((na + 1)/2)
      
c     Integer array pitrth
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array pitrrc
      nwkd = nwkd + int((nn + 1)/2)
      
c     Integer array piunxt
      nwkd = nwkd + int((na + 1)/2)
      
c     Double precision array prav01
      nwkd = nwkd + na
      
c     Double precision array prav03
      nwkd = nwkd + na
      
c     Double precision array prav04
      nwkd = nwkd + na
      
c     Double precision array prav05
      nwkd = nwkd + na
      
c     Double precision array prav06
      nwkd = nwkd + na
      
c     Double precision array prav07
      nwkd = nwkd + na
      
c     Double precision array prav08
      nwkd = nwkd + na
      
c     Double precision array prdb00
      nwkd = nwkd + nn
      
c     Double precision array prdc00
      nwkd = nwkd + na
      
c     Double precision array prdiag
      nwkd = nwkd + nn
      
c     Double precision array prdu00
      nwkd = nwkd + na
      
c     Double precision array prkey0
      nwkd = nwkd + nn + 1
      
c     Double precision array prndig
      nwkd = nwkd + nn
      
c     Double precision array prvecp
      nwkd = nwkd + nn
      
c     Double precision array prvecq
      nwkd = nwkd + nn
      
c     Double precision array prrhs0
      nwkd = nwkd + nn
      
c     Double precision array prvecr
      nwkd = nwkd + nn
      
c     Double precision array prvcsd
      nwkd = nwkd + na
      
c     Double precision array prvecs
      nwkd = nwkd + na
      
c     Double precision array prteta
      nwkd = nwkd + na
      
c     Double precision array prvcwd
      nwkd = nwkd + na
      
c     Double precision array prvecw
      nwkd = nwkd + na
      
c     Double precision array prwrk1
      nwkd = nwkd + nn
            
c     Double precision array prvcxd
      nwkd = nwkd + na
      
c     Double precision array prvcyd
      nwkd = nwkd + nn
      
c     Double precision array prvecx
      nwkd = nwkd + na
      
c     Double precision array prvecy
      nwkd = nwkd + nn
      
c     Double precision array prvczd
      nwkd = nwkd + na
      
c     Double precision array prvecz
      nwkd = nwkd + na
      
c     Double precision array prvczz
      nwkd = nwkd + nn
      
c     ----------------------------------------------------------------
c     End of subroutine pdpntr.
c     ----------------------------------------------------------------
      end
